## eole-jappix 0.9.2+1-3

=== Makefile ===
#!/usr/bin/make
#############################
# Makefile pour eole-jappix #
#############################

INSTALL	 := install
INSTALL_DATA    := install -m 644
INSTALL_PROGRAM := install -m 755
INSTALL_DIR     := install -m 755 -d

EOLE_DIR	:= $(DESTDIR)/usr/share/eole
CREOLE_DIR      := $(EOLE_DIR)/creole
CREOLE_DICO     := $(CREOLE_DIR)/dicos
CREOLE_TMPL     := $(CREOLE_DIR)/distrib
JAPPIX_DIR      := $(DESTDIR)/usr/share/jappix
JAPPIX_CONF     := $(JAPPIX_DIR)/store/conf

DICO	    := dicos
TMPL	    := tmpl
JAPPIX	    := jappix
CONF        := conf

all:

clean:

	$(RM) -r build


installdirs:

	$(INSTALL_DIR) $(EOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DICO)
	$(INSTALL_DIR) $(CREOLE_TMPL)
	for japp in `find $(JAPPIX)/ -type d`; do \
		$(INSTALL_DIR) $(JAPPIX_DIR)/$${japp#*/}; \
	done
	$(INSTALL_DIR) $(JAPPIX_CONF)


install: installdirs

	for dico in `ls -1 $(DICO)/`; do \
		$(INSTALL_DATA) $(DICO)/$$dico $(CREOLE_DICO)/ ; \
	done
	for tmpl in `ls -1 $(TMPL)/`; do \
		$(INSTALL_DATA) $(TMPL)/$$tmpl $(CREOLE_TMPL)/ ; \
	done
	for japp in `find $(JAPPIX) -type f`; do \
		$(INSTALL_DATA) $(JAPPIX)/$${japp#*/} $(JAPPIX_DIR)/`dirname $${japp#*/}`; \
	done
	$(INSTALL_DATA) $(CONF)/installed.xml $(JAPPIX_CONF)
	patch -d $(JAPPIX_DIR) -p1 < patchs/cas.patch


uninstall:

	for dico in `ls -1 $(DICO)/`; do \
		$(RM) $(CREOLE_DICO)/`basename $$dico`; \
	done
	for tmpl in `ls -1 $(TMPL)/`; do \
		$(RM) $(CREOLE_TMPL)/`basename $$tmpl`; \
	done
	for japp in `find $(JAPPIX)/ -type f`; do \
		$(RM) $(JAPPIX_DIR)/$${japp#*/}; \
	done
	$(RM) $(JAPPIX_CONF)/installed.xml


.PHONY: clean installdirs install uninstall

=== debian/changelog ===
eole-jappix (0.9.2+1-3) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [5ebb685] fichiers de conf manquant
  * [c103a78] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [6f2c948] Arnaud Fornerot: Update package since “debian/envole/4/0.9.2+1-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 09 Apr 2015 14:32:17 +0200

eole-jappix (0.9.2+1-2) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [6e39a52] fichier de conf manquant
  * [c2b3d4d] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [dfbdb2b] Arnaud Fornerot: Update package since “debian/envole/4/0.9.2+1-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 09 Apr 2015 13:45:53 +0200

eole-jappix (0.9.2+1-1) envole-4-unstable; urgency=low

  [ Lionel MORIN ]
  * [95c4938] Ajout d'une cible "all" dans le Makefile (ref #6725)
  * [2c53fe6] Merge branch 'master' into dist/ubuntu/precise/master

  [ Joël Cuissinat ]
  * [ff6d23c] * debian/control : suppression de la dépendance sur web-pkg

  [ Arnaud Fornerot ]
  * [e3c738d] Configuration pour l’infrastructure de compilation EOLE

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 08 Apr 2015 13:51:29 +0200

=== debian/control ===
Source: eole-jappix
Section: web
Priority: optional
Maintainer: Equipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-jappix
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-jappix/repository

Package: eole-jappix
Architecture: all
# la configuration actuelle impose l'utilisation du serveur jabber local
Depends: ${misc:Depends}, eole-web, eole-ejabberd, eole-sso-client
Description: Templates et dictionnaires pour le webchat Jappix
 Jappix est un client XMPP libre, basé sur une architecture totalement
 décentralisée pour son service officiel.

Package: jappix-apps
Architecture: all
Depends: ${misc:Depends}
Description: Sources de l'application Jappix
 Jappix est un client XMPP libre, basé sur une architecture totalement
 décentralisée pour son service officiel.
